package io.zipcoder.polymorphism;

import org.junit.Assert;
import org.junit.Test;

public class PetTest {

    Pet pet = new Pet("Pete");
    Dog dog = new Dog("Deen");
    Cat cat = new Cat("Chris");
    Rabbit rabbit = new Rabbit("Roger");


    @Test
    public void dogSpeakTest() {
        dog.speak();
        String actual = dog.speak();
        String expected = "Hey";
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void catSpeakTest() {
        cat.speak();
        String actual = cat.speak();
        String expected = "Moo";
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void rabbitSpeakTest() {
        rabbit.speak();
        String actual = rabbit.speak();
        String expected= "HELLO";
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void otherSpeakTest() {
        pet.speak();
        String expected = pet.speak();
        String actual = "Who am I?";
        Assert.assertEquals(expected, actual);
    }

     @Test
     public void getNameTest() {
        pet.setName("Harry");
        String expected = pet.getName();
        String actual = "Harry";
        Assert.assertEquals(expected, actual);
     }

     @Test
    public void setNameTest() {
         pet.setName("Barry");
         String expected = pet.getName();
         String actual = "Barry";
         Assert.assertEquals(expected, actual);
     }



    }

