package io.zipcoder.polymorphism;

import org.junit.Assert;
import org.junit.Test;

public class PetsTest {
    Pet pet = new Pet("Tim");
    Dog dog = new Dog("Bobby");
    Cat cat = new Cat("Jasper");
    Rabbit rabbit = new Rabbit("Chester");

    @Test
    public void setPetNameTest(){
        //changing the name of pet to test the setName
        pet.setName("Mark");
        String actual = pet.getName();
        String expected = "Mark";

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void getNameTest(){
        //using the original name
        String actual = pet.getName();
        String expected = "Tim";

        Assert.assertEquals(expected,actual);
    }

    @Test
    public void speakPetTest(){
        String actual = pet.speak();
        String expected = "Howdy";

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void speakDogTest(){
        String actual = dog.speak();
        String expected = "Woof!";

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void speakCatTest(){
        String actual = cat.speak();
        String expected = "Meow";

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void speakRabbitTest(){
        String actual = rabbit.speak();
        String expected = "I'm a rabbit.";

        Assert.assertEquals(expected, actual);
    }
}
